#!/usr/bin/env python3
import sys
class Account(object):
	"""The Account class,
	The amount is in dollars.
	"""
	def __init__(self, rate):
		self.__amt = 0
		self.rate = rate	
	def inr(self):
		"Gives the money in INR value."
		return self.__amt * self.rate
	def amount(self, value):
		if value < 0:
			print ("Sorry, no negative amount in the account.") 
			sys.exit()		
		else:
			self.__amt = value
		return self.__amt
if __name__ == '__main__':
	acc = Account(61) # Based on today's value of INR :(
	acc.amount(20)
	print("Dollar amount:", acc.amount(20))
	print("In INR:", acc.inr())
	acc.amount(-100)
	print("Dollar amount:", acc.amount(-100))
	print("In INR:", acc.inr())
